Skip to main content
POST
/
v2
/
workspace
/
email
/
send-login-link
Send Login Link
curl --request POST \
  --url https://api.velt.dev/v2/workspace/email/send-login-link \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "email": "<string>",
    "continueUrl": "<string>"
  }
}
'
{
  "result": {
    "status": "success",
    "message": "Login link sent successfully.",
    "data": null
  }
}
Use this API to send a login link to a workspace owner’s email address.
This is a public endpoint — no authentication headers are required.

Endpoint

POST https://api.velt.dev/v2/workspace/email/send-login-link

Body

Params

data
object
required

Example Request

{
  "data": {
    "email": "owner@example.com",
    "continueUrl": "https://app.example.com/dashboard"
  }
}

Example Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Login link sent successfully.",
    "data": null
  }
}

Failure Response

If continueUrl is invalid
{
  "error": {
    "status": "INVALID_ARGUMENT",
    "message": "continueUrl must be a valid URL."
  }
}
{
  "result": {
    "status": "success",
    "message": "Login link sent successfully.",
    "data": null
  }
}